# $Revision: 1.45.2.1 $, $Date: 2012/04/12 16:13:29 $
%define		applet phone-manager
Summary:	GNOME Phone Manager applet
Summary(pl.UTF-8):	Zarządca telefonu - aplet GNOME
Name:		gnome-applet-%{applet}
Version:	0.65
Release:	5
License:	GPL
Group:		X11/Applications
Source0:	http://ftp.gnome.org/pub/GNOME/sources/gnome-phone-manager/%{version}/gnome-%{applet}-%{version}.tar.bz2
# Source0-md5:	afbe02a45062179978860a7b90b837b7
Patch0:		%{name}-desktop.patch
Patch1:		%{name}-link.patch
URL:		http://usefulinc.com/software/phonemgr/
BuildRequires:	GConf2-devel
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake >= 1:1.9
BuildRequires:	bluez-libs-devel >= 3.12
BuildRequires:	dbus-glib-devel
BuildRequires:	evolution-data-server-devel >= 2.20.0
BuildRequires:	gettext-devel
BuildRequires:	gnome-bluetooth-devel >= 2.28.0
BuildRequires:	gnome-common
BuildRequires:	gnome-icon-theme >= 2.20.0
BuildRequires:	gtk+2-devel >= 2:2.10.0
BuildRequires:	gtkspell-devel >= 2.0
BuildRequires:	intltool >= 0.40.0
BuildRequires:	libcanberra-gtk-devel
BuildRequires:	libglade2-devel
BuildRequires:	libgnokii-devel >= 1:0.6.27
BuildRequires:	libtool
BuildRequires:	telepathy-glib-devel
BuildRequires:	pkgconfig
Requires(post,preun):	GConf2
Requires:	bluez-utils
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This applet will connect to your mobile phone over a serial port,
either via a cable, infra-red or Bluetooth connection.

It listens for text messages, and when they arrive, displays them on
the desktop.

%description -l pl.UTF-8
Ten aplet łączy się z telefonem komórkowym przez port szeregowy przy
pomocą kabelka, podczerwieni lub połączenia Bluetooth.

Oczekuje wiadomości tekstowych, a kiedy nadejdą, wyświetla je na
pulpicie.

%prep
%setup -q -n gnome-%{applet}-%{version}
%patch0 -p1
%patch1 -p1

%build
%{__glib_gettextize}
%{__intltoolize}
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--disable-schemas-install
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%find_lang gnome-phone-manager

%clean
rm -rf $RPM_BUILD_ROOT

%post
%gconf_schema_install gnome-phone-manager.schemas

%preun
%gconf_schema_uninstall gnome-phone-manager.schemas

%files -f gnome-phone-manager.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog NEWS README
%attr(755,root,root) %{_bindir}/gnome-phone-manager
%{_datadir}/gnome-phone-manager
%{_mandir}/man1/gnome-phone-manager.1*
%{_desktopdir}/gnome-phone-manager.desktop
%{_libdir}/telepathy-phoney
%{_datadir}/dbus-1/services/org.freedesktop.Telepathy.ConnectionManager.phoney.service
%{_datadir}/telepathy/managers/phoney.manager
%{_sysconfdir}/gconf/schemas/gnome-phone-manager.schemas

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: gnome-applet-phone-manager.spec,v $
Revision 1.45.2.1  2012/04/12 16:13:29  hawk
- release 5

Revision 1.45  2010/09/30 17:23:43  megabajt
- release 4

Revision 1.44  2010/07/29 22:36:56  megabajt
- added -link.patch
- release 3

Revision 1.43  2010/06/15 08:58:00  hawk
- release 2

Revision 1.42  2009/09/27 20:34:10  megabajt
- updated to 0.65

Revision 1.41  2009/01/15 10:26:01  hawk
- release 5

Revision 1.40  2008/10/27 08:07:38  hawk
- release 4

Revision 1.39  2008/10/17 06:15:19  sls
- intltoolize (fix for 'error: po/Makefile.in.in was not created by intltoolize.')

Revision 1.38  2008/10/04 22:09:51  megabajt
- release 3

Revision 1.37  2008/09/10 09:08:53  hawk
- release 2

Revision 1.36  2008/06/18 14:49:04  patrys
- more BR

Revision 1.35  2008/06/18 14:46:01  patrys
- 0.60

Revision 1.34  2008-03-30 17:21:49  wolvverine
- add telepathy-phoney

Revision 1.33  2008-03-29 23:03:51  wolvverine
- up to 0.51

Revision 1.32  2008-03-25 15:59:12  sls
- BR: libgnokii-devel with epoch

Revision 1.31  2008-03-25 15:54:29  sls
- BR: libgnokii-devel >= 0.6.22

Revision 1.30  2008-03-13 15:52:52  qboosh
- files fix

Revision 1.29  2008-03-13 13:00:44  wrobell
- ver. 0.50
- added manual page

Revision 1.28  2008-01-30 20:52:50  wrobell
- rel. 2 to rebuild with libcap 2.0.5

Revision 1.27  2008-01-12 23:44:34  qboosh
- removed obsolete filterout_ld (builds with -as-needed now)

Revision 1.26  2007-12-08 04:35:11  wolvverine
- up to 0.40

Revision 1.25  2007/10/24 21:50:38  wrobell
- fixed gconf paths
- fixed build requirements (gnokii is used instead of gsmlib)

Revision 1.24  2007/10/21 12:16:29  qboosh
- cleanup, gtk+2 epoch

Revision 1.23  2007/10/21 00:29:12  wolvverine
- up to 0.20

Revision 1.22  2007/09/04 15:01:45  wolvverine
- up to 0.10

Revision 1.21  2007/02/13 07:16:46  glen
- tabs in preamble

Revision 1.20  2007/02/12 00:48:52  baggins
- converted to UTF-8

Revision 1.19  2006/11/28 23:19:42  glen
- librsvg-2.0.pc is expected

Revision 1.18  2006/11/09 16:32:01  aredridel
- 0.8

Revision 1.17  2006/08/22 02:11:50  aredridel
- patch for as-needed
- patch for installation of pixmaps properly
- patch for new libebook api

Revision 1.16  2006/06/06 12:13:41  qboosh
- install icon needed in program datadir (merged from AC-branch)

Revision 1.15  2006/05/31 01:49:03  wolvverine
- add BR

Revision 1.14  2006/05/22 11:17:59  baggins
- rel 2
- BR GNOME 2.14 stuff

Revision 1.13  2006/05/11 06:33:31  qboosh
- updated desktop patch is back, updated BRs

Revision 1.12  2006/05/06 14:13:56  wolvverine
- up to 0.7

Revision 1.11  2005/10/29 07:56:38  ankry
- kill no, rel. 2

Revision 1.10  2005/09/10 23:33:31  freetz
- 0.6, updated BRs/Rs, dropped sigc++ patch (obsolete)

Revision 1.9  2005/08/09 19:56:18  blues
- release 4 - added directory, works now

Revision 1.8  2005/06/13 20:42:08  freetz
- cleanup: fixed summaries (it's GMOME thingy), desktop patch added,
  updated BRs (suggested by Marcin Albecki), gconf isn't required at all,
  install icon with generic name (follows desktop patch changes), use more
  macros, rel.3

Revision 1.7  2004/09/10 13:14:01  wrobell
- fixed build requirements
- build with libsigc++ version 2.0.x instead of 1.2.x
- rel. 2

Revision 1.6  2004/09/08 21:12:31  wrobell
- cleanup
- rel. 1

Revision 1.5  2004/06/30 22:19:28  wrobell
- files updated

Revision 1.4  2004/06/30 00:09:18  wrobell
- started update to version 0.4

Revision 1.3  2003/10/13 22:15:17  qboosh
- pl, BR: ac,am

Revision 1.2  2003/09/05 13:22:42  wrobell
- disable gconf schema installation in %%install section

Revision 1.1  2003/09/05 12:57:54  wrobell
- based on template
